OTP
Doğrulama
Gönderim yapılan OTP yi doğrulama işlemi için kullanılmaktadır. Bu servisten dönen verify_id değeri, OTP doğrulama isteyen servislerde kullanılabilir.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
phone*string
Kullanıcı telefon bilgisi (E.164 Format)
gateway*string
OTP gönderim tipi
Default
"sms"Value in
"sms" | "whatsapp"app_hash?string
Gönderilecek sms doğrulama koduna mobil uygulamalardan erişebilmek için kullanılabilir. (Mesaj içeriğine app_hash değeri eklenir)
code*string
{
"phone": "+905231113344",
"gateway": "sms",
"app_hash": null,
"code": 123456
}Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.altpay.dev/integration/otp/verify" \ -H "Content-Type: application/json" \ -d '{ "phone": "+905231113344", "gateway": "sms", "code": 123456 }'{
"data": {
"verify_id": 1
}
}{
"message": "string"
}{
"message": "string"
}{
"message": "Gönderdiğiniz Veriler Geçersiz",
"errors": {
"property": [
"Hata açıklaması"
]
}
}